from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String, Boolean, Int, Directory

Autoaugpred_Pl_V0_1_0 = CommandToolBuilder(tool="autoAugPred.pl", base_command=["autoAugPred.pl"], inputs=[ToolInput(tag="in_genome", input_type=File(optional=True), prefix="--genome", doc=InputDocumentation(doc="fasta file with DNA sequences for training")), ToolInput(tag="in_species", input_type=String(optional=True), prefix="--species", doc=InputDocumentation(doc="species name as used by AUGUSTUS")), ToolInput(tag="in_continue", input_type=Boolean(optional=True), prefix="--continue", doc=InputDocumentation(doc="after cluster jobs are finished, continue to compile prediction sets")), ToolInput(tag="in_use_existing", input_type=Boolean(optional=True), prefix="--useexisting", doc=InputDocumentation(doc="use and change the present config and parameter files if they exist for 'species'")), ToolInput(tag="in_single_cpu", input_type=Boolean(optional=True), prefix="--singleCPU", doc=InputDocumentation(doc="run sequentially on a single CPU instead of parallel jobs on a cluster")), ToolInput(tag="in_cpus", input_type=Int(optional=True), prefix="--cpus", doc=InputDocumentation(doc="n is the number of CPUs to use (default: 1), if cpus > 1 install Parallel::ForkManager for better performance")), ToolInput(tag="in_noninteractive", input_type=Boolean(optional=True), prefix="--noninteractive", doc=InputDocumentation(doc="for Sun Grid Engine users, who have configurated an openssh key\nwith this option AUGUSTUS is executed automatically on the SGE cluster")), ToolInput(tag="in_working_dir", input_type=Boolean(optional=True), prefix="--workingdir", doc=InputDocumentation(doc="=/path/to/wd/      in the working directory results and temporary files are stored.")), ToolInput(tag="in_utr", input_type=Boolean(optional=True), prefix="--utr", doc=InputDocumentation(doc="switch it on to run AUGUSTUS with untranslated regions. Off by default")), ToolInput(tag="in_hints", input_type=File(optional=True), prefix="--hints", doc=InputDocumentation(doc="run AUGUSTUS using extrinsic information from hintsfile")), ToolInput(tag="in_extrinsic_cfg", input_type=File(optional=True), prefix="--extrinsiccfg", doc=InputDocumentation(doc="configuration file with parameters (boni/mali) for hints.\ndefault $AUGUSTUS_CONFIG_PATH/config/extrinsic/extrinsic.cfg")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="the verbosity level")), ToolInput(tag="in_remote", input_type=String(optional=True), prefix="--remote", doc=InputDocumentation(doc="specify the SGE cluster name for noninteractive, default 'fe'")), ToolInput(tag="in_augustus_config_path", input_type=File(optional=True), prefix="--AUGUSTUS_CONFIG_PATH", doc=InputDocumentation(doc="path to augustus/config directory. default: use environment variable")), ToolInput(tag="in_augustus_options", input_type=String(optional=True), prefix="--augustusoptions", doc=InputDocumentation(doc="options to run AUGUSTUS with, the options --utr, --hints and --extrinsiccfg must not be specified")), ToolInput(tag="in_prediction_results_dir", input_type=Directory(optional=True), prefix="--predictionresultsdir", doc=InputDocumentation(doc="the directory were the prediction results are stored, if not set a default folder is used depending on utr and hints settings"))], outputs=[], container="quay.io/biocontainers/augustus:3.4.0--pl526h0faeac2_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Autoaugpred_Pl_V0_1_0().translate("wdl")

